Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.fingerprint
Class AttributeRules

    java.lang.Object
      oracle.ifs.admin.tools.fingerprint.AttributeRules

    public class AttributeRules

extends java.lang.Object

Set of rules for a given attribute and property rules for the nested properties of a property bundle.

(Unpublished)

Nested Class Summary
`static class` | `AttributeRules.ReplaceRule` Represents a regular expression replacement rule.

Field Summary
`static java.lang.String` | `ACTION_FOLLOW` Action constant to follow an attribute or property.
`static java.lang.String` | `ACTION_MASK` Action constant to mask printing the value of an attribute or property.
`static java.lang.String` | `ACTION_PRINT` Action constant to print an attribute or property or just a reference if the type is LibraryObject.

Method Summary
`java.lang.String` | `getAttributeAction(LibraryObject lo, java.lang.String attribute)` Returns the action for the given attribute.
`java.lang.String` | `getPropertyAction(java.util.Map propertyRules, java.lang.String property)` Return the action for the given property based on the set of rules passed in.
`java.util.Map` | `getPropertyRules(LibraryObject lo, java.lang.String attribute)` Returns the set of property rules for the given attribute.
`java.util.Map` | `getPropertyRules(java.util.Map propertyRules, java.lang.String property)` Returns the set of rules for the given property, in the context of the passed in rules.
`AttributeRules.ReplaceRule[]` | `getReplaceRules(LibraryObject lo, java.lang.String attribute)` Returns the replace rules for the given attribute.
`static AttributeRules` | `getRootAttributeRules()` Returns the root set of rules.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_FOLLOW

    public static final java.lang.String ACTION_FOLLOW

  Description copied from class: `AttributeRules`
  Action constant to follow an attribute or property. Applicable to LibraryObject type attributes or properties only.

  Value: follow

  See Also:
    Constant Field Values
  (Unpublished)

### ACTION_MASK

    public static final java.lang.String ACTION_MASK

  Description copied from class: `AttributeRules`
  Action constant to mask printing the value of an attribute or property.

  Value: mask

  See Also:
    Constant Field Values
  (Unpublished)

### ACTION_PRINT

    public static final java.lang.String ACTION_PRINT

  Description copied from class: `AttributeRules`
  Action constant to print an attribute or property or just a reference if the type is LibraryObject.

  Value: print

  See Also:
    Constant Field Values
  (Unpublished)

Method Detail

### getRootAttributeRules

    public static AttributeRules getRootAttributeRules()

  Description copied from class: `AttributeRules`
  Returns the root set of rules.

  Returns:
    the root set of rules
  (Unpublished)

### getPropertyAction

    public java.lang.String getPropertyAction(java.util.Map propertyRules,
                                              java.lang.String property)

  Description copied from class: `AttributeRules`
  Return the action for the given property based on the set of rules passed in.

  Parameters:
    `propertyRules` - the rules
    `property` - the property
  Returns:
    the action
  (Unpublished)

### getPropertyRules

    public java.util.Map getPropertyRules(java.util.Map propertyRules,
                                          java.lang.String property)

  Description copied from class: `AttributeRules`
  Returns the set of rules for the given property, in the context of the passed in rules.

  Parameters:
    `propertyRules` - the current rule set
    `property` - the property
  Returns:
    the set of rules or `null` if no specific rules were found
  (Unpublished)

### getReplaceRules

    public AttributeRules.ReplaceRule[] getReplaceRules(LibraryObject lo,
                                                        java.lang.String attribute)
                                                 throws IfsException

  Description copied from class: `AttributeRules`
  Returns the replace rules for the given attribute.

  Parameters:
    `lo` - the object being fingerprinted
    `attribute` - the attribute
  Returns:
    the replace rules or `null`
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getAttributeAction

    public java.lang.String getAttributeAction(LibraryObject lo,
                                               java.lang.String attribute)
                                        throws IfsException

  Description copied from class: `AttributeRules`
  Returns the action for the given attribute.

  Parameters:
    `lo` - the object being fingerprinted
    `attribute` - the attribute
  Returns:
    the action
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getPropertyRules

    public java.util.Map getPropertyRules(LibraryObject lo,
                                          java.lang.String attribute)
                                   throws IfsException

  Description copied from class: `AttributeRules`
  Returns the set of property rules for the given attribute.

  Parameters:
    `lo` - the object being fingerprinted
    `attribute` - the attribute
  Returns:
    the set of rules or `null` if no specific property rules were found
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD